반응형

비디오 스테이션엔 라이선스 문제로 DTS, EAC3, TrueHD 코덱이 빠져있다. 뭐 딱히 해당 코덱의 동영상을 가지고 있진 않지만, 지원 안 하는 거랑 못 하는 거랑은 다르니 한번 추가해봤다.

이 글은 DS218+. 즉, x64 아키텍처 기준이다. armv8은 방법이 약간 다르니 아래 출처를 참고하면 된다.

https://gist.github.com/BenjaminPoncet/bbef9edc1d0800528813e75c1669e57e

 

Synology VideoStation ffmpeg wrapper with DTS, EAC3 and TrueHD support (Installation instructions in 1st comment)

Synology VideoStation ffmpeg wrapper with DTS, EAC3 and TrueHD support (Installation instructions in 1st comment) - ffmpeg-wrapper

gist.github.com

설치

1. 패키지 센터를 열고 설정→패키지 소스 탭에서 SynoCommunity를 추가한다. 아래 주소를 추가하면 된다.


http://packages.synocommunity.com/

2. 커뮤니티 메뉴에서 ffmpeg를 찾아 설치한다.

3. SSH에 접속한 뒤 sudo -i로 관리자 권한을 얻는다.

4. root 권한을 얻었으면 아래 코드를 실행한다.


# Save VideoStation's ffmpeg
mv -n /var/packages/VideoStation/target/bin/ffmpeg /var/packages/VideoStation/target/bin/ffmpeg.orig
# Injecting the script (last revision aka 12)
wget -O - https://gist.githubusercontent.com/BenjaminPoncet/bbef9edc1d0800528813e75c1669e57e/raw/ffmpeg-wrapper > /var/packages/VideoStation/target/bin/ffmpeg
# Change ownership and mode of the script
chown root:VideoStation /var/packages/VideoStation/target/bin/ffmpeg
chmod 750 /var/packages/VideoStation/target/bin/ffmpeg
chmod u+s /var/packages/VideoStation/target/bin/ffmpeg
# Save VideoStation's libsynovte.so
cp -n /var/packages/VideoStation/target/lib/libsynovte.so /var/packages/VideoStation/target/lib/libsynovte.so.orig
chown VideoStation:VideoStation /var/packages/VideoStation/target/lib/libsynovte.so.orig
# Patch libsynovte.so to authorize DTS, EAC3 and TrueHD
sed -i -e 's/eac3/3cae/' -e 's/dts/std/' -e 's/truehd/dheurt/' /var/packages/VideoStation/target/lib/libsynovte.so

5. 이제 마지막으로 패키지 센터에서 Video Station을 중지했다 다시 실행하면 완료!

테스트해볼 동영상이 없어서 확인 못 했지만 잘 됐겠지 뭐... ㅇㅅㅇ

삭제 방법이나 업데이트 방법도 맨 위에 있는 출처 링크에 다 있으니 거기서 참고하면 된다.

반응형
  1. 음.. 2020.11.23 16:21

    이게 막힌걸까요?
    전엔 재생되었는데 이제 안되네요.
    DSM 6.2.3-25426 버전인데 막힌걸까요?

    • BlogIcon joyfuI 2020.11.23 17:10 신고

      원래 패키지가 업데이트되면 새로 작업해주어야합니다. 제가 dts 동영상이 없어서 테스트는 못해보는데 출처 쪽 댓글을 보면 해당 버전에서도 잘 작동한다고 적혀있네요.

+ Recent posts